<template>
    <text :class="iconClass" :style="iconStyle"></text>
</template>

<script setup lang="ts">
  import { computed } from 'vue';

const props = defineProps<{
  iconName: string;
  size?: string;
  color?: string;
}>();

const iconClass = computed(() => `icon icon-${props.iconName}`);


const iconStyle = computed(() => ({
  fontSize: props.size || '24px',
  color: props.color || 'currentColor'
}));
</script>

<style lang="scss">
	@import "./index.scss";
</style>